function $AdfDhtmlChooseDateTimeZoneSelectionPanel$$() {
  $AdfDhtmlChooseDateTimeZoneSelectionPanel$$.$superclass$.constructor.call(this, "timeZone");
}
$goog$exportSymbol$$("AdfDhtmlChooseDateTimeZoneSelectionPanel", $AdfDhtmlChooseDateTimeZoneSelectionPanel$$);
$AdfObject$$.$createSubclass$($AdfDhtmlChooseDateTimeZoneSelectionPanel$$, $AdfDhtmlChooseDateLayoutPanel$$);
$AdfDhtmlChooseDateLayoutPanel$$.$registerLayoutPanel$($AdfDhtmlChooseDateTimeZoneSelectionPanel$$);
$AdfDhtmlChooseDateTimeZoneSelectionPanel$$.prototype.isEnabled = function $$AdfDhtmlChooseDateTimeZoneSelectionPanel$$$$isEnabled$($component$$504$$, $rootDOMElement$$46$$) {
  return $AdfDhtmlChooseDateTimeZoneSelectionPanel$$.$superclass$.isEnabled.call(this, $component$$504$$, $rootDOMElement$$46$$) ? $AdfDhtmlChooseDateDOMQueries$$.$allowTimeZoneSelection$($component$$504$$, $rootDOMElement$$46$$) : !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateTimeZoneSelectionPanel.prototype.isEnabled", {isEnabled:$AdfDhtmlChooseDateTimeZoneSelectionPanel$$.prototype.isEnabled});
$AdfDhtmlChooseDateTimeZoneSelectionPanel$$.prototype.$isVisible$ = function $$AdfDhtmlChooseDateTimeZoneSelectionPanel$$$$$isVisible$$($component$$505$$, $panelRootElement$$16$$) {
  $AdfAssert$$.$assertPrototype$($component$$505$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($panelRootElement$$16$$);
  return $AdfDhtmlChooseDateDOMQueries$$.$supportsDisplayToggle$($component$$505$$, $panelRootElement$$16$$) ? $AdfDhtmlChooseDateDOMQueries$$.$checkCurrentDisplayMode$($component$$505$$, $panelRootElement$$16$$, $AdfDhtmlChooseDatePeer$$.$_TIME_ONLY_MODE$) : !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateTimeZoneSelectionPanel.prototype.isVisible", {$isVisible$:$AdfDhtmlChooseDateTimeZoneSelectionPanel$$.prototype.$isVisible$});
$AdfDhtmlChooseDateTimeZoneSelectionPanel$$.prototype.$canProcessDomUIInputEvent$ = function $$AdfDhtmlChooseDateTimeZoneSelectionPanel$$$$$canProcessDomUIInputEvent$$($component$$506$$, $componentEvent$$67$$) {
  $AdfAssert$$.$assertPrototype$($component$$506$$, AdfRichChooseDate);
  $AdfAssert$$.$assertPrototype$($componentEvent$$67$$, $AdfDomUIInputEvent$$);
  return !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateTimeZoneSelectionPanel.prototype.canProcessDomUIInputEvent", {$canProcessDomUIInputEvent$:$AdfDhtmlChooseDateTimeZoneSelectionPanel$$.prototype.$canProcessDomUIInputEvent$});
$AdfDhtmlChooseDateTimeZoneSelectionPanel$$.prototype.$canProcessComponentEvent$ = function $$AdfDhtmlChooseDateTimeZoneSelectionPanel$$$$$canProcessComponentEvent$$($component$$507$$, $componentEvent$$68$$) {
  $AdfAssert$$.$assertPrototype$($component$$507$$, AdfRichChooseDate);
  $AdfAssert$$.$assertPrototype$($componentEvent$$68$$, $AdfComponentEvent$$);
  if ($componentEvent$$68$$ instanceof $AdfValueChangeEvent$$) {
    var $sourceId$$3$$ = $componentEvent$$68$$.getSource().$getClientId$(), $compSubId$$2$$ = $AdfRichUIPeer$$.$CreateSubId$($component$$507$$.$getClientId$(), $AdfDhtmlChooseDatePeer$$.$_TIMEZONE_ID$);
    return $sourceId$$3$$ == $compSubId$$2$$;
  }
  return !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateTimeZoneSelectionPanel.prototype.canProcessComponentEvent", {$canProcessComponentEvent$:$AdfDhtmlChooseDateTimeZoneSelectionPanel$$.prototype.$canProcessComponentEvent$});
$AdfDhtmlChooseDateTimeZoneSelectionPanel$$.prototype.$handleComponentValueChange$ = function $$AdfDhtmlChooseDateTimeZoneSelectionPanel$$$$$handleComponentValueChange$$($component$$508$$, $componentEvent$$69$$) {
  var $socClientId_tzComponent_tzContent_tzDisplayStr$$ = $AdfRichUIPeer$$.$CreateSubId$($component$$508$$.$getClientId$(), $AdfDhtmlChooseDatePeer$$.$_TIMEZONE_ID$), $socClientId_tzComponent_tzContent_tzDisplayStr$$ = $AdfPage$$.$PAGE$.$findComponent$($socClientId_tzComponent_tzContent_tzDisplayStr$$);
  $AdfAssert$$.$assertPrototype$($socClientId_tzComponent_tzContent_tzDisplayStr$$, AdfRichSelectOneChoice);
  var $tzPeer$$ = $socClientId_tzComponent_tzContent_tzDisplayStr$$.$getPeer$();
  $tzPeer$$.bind($socClientId_tzComponent_tzContent_tzDisplayStr$$);
  $socClientId_tzComponent_tzContent_tzDisplayStr$$ = $AdfDhtmlEditableValuePeer$$.$getContentNode$($socClientId_tzComponent_tzContent_tzDisplayStr$$, $tzPeer$$.$getDomElement$());
  $socClientId_tzComponent_tzContent_tzDisplayStr$$ = $AdfAgent$$.$AGENT$.$getTextContent$($socClientId_tzComponent_tzContent_tzDisplayStr$$.options[$socClientId_tzComponent_tzContent_tzDisplayStr$$.selectedIndex]);
  $AdfChooseDateTimeZoneSelectionEvent$$.$queue$($component$$508$$, $componentEvent$$69$$.$getNewValue$(), $socClientId_tzComponent_tzContent_tzDisplayStr$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateTimeZoneSelectionPanel.prototype.handleComponentValueChange", {$handleComponentValueChange$:$AdfDhtmlChooseDateTimeZoneSelectionPanel$$.prototype.$handleComponentValueChange$});
$AdfDhtmlChooseDateTimeZoneSelectionPanel$$.prototype.$render$ = function $$AdfDhtmlChooseDateTimeZoneSelectionPanel$$$$$render$$($component$$509$$, $panelRootElement$$17$$) {
  $AdfAssert$$.$assertPrototype$($component$$509$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($panelRootElement$$17$$);
  var $page$$29_parentInputDateComp$$ = $AdfPage$$.$PAGE$, $laf$$32$$ = $page$$29_parentInputDateComp$$.$getLookAndFeel$(), $addTimeZone_cdRootElem$$63_timeZoneNames$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$509$$), $parentInputDateClientId_timeZoneList$$ = $AdfDhtmlChooseDateDOMQueries$$.$getParentID$($component$$509$$, $addTimeZone_cdRootElem$$63_timeZoneNames$$), $page$$29_parentInputDateComp$$ = $page$$29_parentInputDateComp$$.$findComponent$($parentInputDateClientId_timeZoneList$$);
  if (!$page$$29_parentInputDateComp$$) {
    return $AdfLogger$$.$LOGGER$.severe("Unable to locate client component for parent AdfRichInputDate: " + $parentInputDateClientId_timeZoneList$$), [];
  }
  $parentInputDateClientId_timeZoneList$$ = $page$$29_parentInputDateComp$$.getTimeZoneList();
  $addTimeZone_cdRootElem$$63_timeZoneNames$$ = $AdfDhtmlChooseDateDOMQueries$$.$getClientTimeZone$($component$$509$$, $addTimeZone_cdRootElem$$63_timeZoneNames$$);
  $addTimeZone_cdRootElem$$63_timeZoneNames$$ = $AdfDhtmlChooseDateTimeZoneUtils$$.$getTimeZones$($parentInputDateClientId_timeZoneList$$, $addTimeZone_cdRootElem$$63_timeZoneNames$$);
  $AdfDhtmlChooseDateTimeZoneSelectionPanel$$.$_buildTimeZoneSelectionControl$($component$$509$$, $laf$$32$$, $panelRootElement$$17$$, $addTimeZone_cdRootElem$$63_timeZoneNames$$);
  return $AdfDhtmlChooseDateTimeZoneSelectionPanel$$.$_constructNewRichComponent$($component$$509$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateTimeZoneSelectionPanel.prototype.render", {$render$:$AdfDhtmlChooseDateTimeZoneSelectionPanel$$.prototype.$render$});
$AdfDhtmlChooseDateTimeZoneSelectionPanel$$.prototype.$getSubIdDomElement$ = function $$AdfDhtmlChooseDateTimeZoneSelectionPanel$$$$$getSubIdDomElement$$($component$$510$$, $subElementId$$4$$) {
  $AdfAssert$$.$assertPrototype$($component$$510$$, AdfRichChooseDate);
  $AdfAssert$$.$assertString$($subElementId$$4$$);
  return "timezoneSelector" == $subElementId$$4$$ ? $AdfSubIdUtils$$.$getSubIdElementById$($component$$510$$, $AdfDhtmlChooseDatePeer$$.$_TIMEZONE_ID$) : null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateTimeZoneSelectionPanel.prototype.getSubIdDomElement", {$getSubIdDomElement$:$AdfDhtmlChooseDateTimeZoneSelectionPanel$$.prototype.$getSubIdDomElement$});
$AdfDhtmlChooseDateTimeZoneSelectionPanel$$.prototype.$getBestMatchSubId$ = function $$AdfDhtmlChooseDateTimeZoneSelectionPanel$$$$$getBestMatchSubId$$($component$$511$$, $domElement$$33$$) {
  $AdfAssert$$.$assertPrototype$($component$$511$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($domElement$$33$$);
  return $AdfSubIdUtils$$.$getSubIdElementById$($component$$511$$, $AdfDhtmlChooseDatePeer$$.$_TIMEZONE_ID$) == $domElement$$33$$ ? $AdfDhtmlChooseDatePeer$$.$_TIME_ZONE_SELECTOR_SUB_ID$ : null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateTimeZoneSelectionPanel.prototype.getBestMatchSubId", {$getBestMatchSubId$:$AdfDhtmlChooseDateTimeZoneSelectionPanel$$.prototype.$getBestMatchSubId$});
$AdfDhtmlChooseDateTimeZoneSelectionPanel$$.$_buildTimeZoneSelectionControl$ = function $$AdfDhtmlChooseDateTimeZoneSelectionPanel$$$$_buildTimeZoneSelectionControl$$($component$$512_timeZoneSelectSpan$$, $laf$$33$$, $panelRootElement$$18_timeZoneSelectionColumn$$, $timeZoneNames$$1$$) {
  var $cdRootElem$$64$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$512_timeZoneSelectSpan$$);
  $panelRootElement$$18_timeZoneSelectionColumn$$ = $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("td", {"class":$laf$$33$$.getStyleClass("af|chooseDate::timezone-selectors-row"), colspan:7}, $panelRootElement$$18_timeZoneSelectionColumn$$);
  var $socClientId$$1$$ = $AdfRichUIPeer$$.$CreateSubId$($component$$512_timeZoneSelectSpan$$.$getClientId$(), $AdfDhtmlChooseDatePeer$$.$_TIMEZONE_ID$);
  $component$$512_timeZoneSelectSpan$$ = $AdfDhtmlChooseDateDOMUtils$$.$buildSelectOneChoiceElement$($socClientId$$1$$, $laf$$33$$.getStyleClass("af|chooseDate::timezone-list-content"), $laf$$33$$.$getTranslatedString$("af_chooseDate.LABEL_SELECT_TIMEZONE"), $timeZoneNames$$1$$, $AdfDhtmlChooseDateDOMQueries$$.$getSelectedTimeZone$($component$$512_timeZoneSelectSpan$$, $cdRootElem$$64$$));
  $panelRootElement$$18_timeZoneSelectionColumn$$.appendChild($component$$512_timeZoneSelectSpan$$);
};
$AdfDhtmlChooseDateTimeZoneSelectionPanel$$.$_constructNewRichComponent$ = function $$AdfDhtmlChooseDateTimeZoneSelectionPanel$$$$_constructNewRichComponent$$($component$$513$$) {
  var $components$$5$$ = [];
  $components$$5$$.push($AdfDhtmlChooseDateTimeZoneSelectionPanel$$.$_constructSelectOneChoiceComponent$($component$$513$$, $AdfRichUIPeer$$.$CreateSubId$($component$$513$$.$getClientId$(), $AdfDhtmlChooseDatePeer$$.$_TIMEZONE_ID$)));
  return $components$$5$$;
};
$AdfDhtmlChooseDateTimeZoneSelectionPanel$$.$_constructSelectOneChoiceComponent$ = function $$AdfDhtmlChooseDateTimeZoneSelectionPanel$$$$_constructSelectOneChoiceComponent$$($component$$514$$, $clientId$$70$$) {
  return new AdfRichSelectOneChoice($clientId$$70$$, {simple:!0}, 1);
};
